<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/field.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>field.h</h1><a href="field_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of magpar.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    Copyright (C) 2002-2010 Werner Scholz</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">    www:   http://www.magpar.net/</span>
<a name="l00007"></a>00007 <span class="comment">    email: magpar(at)magpar.net</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    magpar is free software; you can redistribute it and/or modify</span>
<a name="l00010"></a>00010 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00011"></a>00011 <span class="comment">    the Free Software Foundation; either version 2 of the License, or</span>
<a name="l00012"></a>00012 <span class="comment">    (at your option) any later version.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    magpar is distributed in the hope that it will be useful,</span>
<a name="l00015"></a>00015 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00016"></a>00016 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00017"></a>00017 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00020"></a>00020 <span class="comment">    along with magpar; if not, write to the Free Software</span>
<a name="l00021"></a>00021 <span class="comment">    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
<a name="l00022"></a>00022 <span class="comment">*/</span>
<a name="l00023"></a>00023 
<a name="l00024"></a>00024 <span class="comment">/* $Id: field.h 3001 2010-03-15 15:22:36Z scholz $ */</span>
<a name="l00025"></a>00025 
<a name="l00026"></a>00026 <span class="preprocessor">#ifndef FIELD_H</span>
<a name="l00027"></a>00027 <span class="preprocessor"></span><span class="preprocessor">#define FIELD_H</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span>
<a name="l00029"></a>00029 <span class="preprocessor">#include &quot;<a class="code" href="griddata_8h.html">griddata.h</a>&quot;</span>
<a name="l00030"></a>00030 
<a name="l00031"></a>00031 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#aea497be5e9a188c3f1627b6692951515">Hcubic_Energy</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VMom,PetscReal *energy);
<a name="l00032"></a>00032 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a">Hcubic</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHtotsum);
<a name="l00033"></a>00033 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#aed83146289258f6f29a808dc50853f65">Hdemag_Energy</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VMom,PetscReal *energy);
<a name="l00034"></a>00034 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58">Hdemag</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHtotsum);
<a name="l00035"></a>00035 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388">Helastic_Energy</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VMom,PetscReal *energy);
<a name="l00036"></a>00036 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74">Helastic</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHtotsum);
<a name="l00037"></a>00037 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a733ba0411bb628270a030775416d902a">Hexchani_Energy</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VMom,PetscReal *energy);
<a name="l00038"></a>00038 <span class="preprocessor">#ifdef EXCH</span>
<a name="l00039"></a>00039 <span class="preprocessor"></span><span class="keywordtype">int</span> Hexchonly_Energy(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VMom,PetscReal *energy);
<a name="l00040"></a>00040 <span class="preprocessor">#endif</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span><span class="keywordtype">int</span> <a class="code" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae">Hexchani</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHtotsum);
<a name="l00042"></a>00042 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2">Hexternal_Energy</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VMom,PetscReal *energy);
<a name="l00043"></a>00043 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481">Hexternal</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHtotsum);
<a name="l00044"></a>00044 PetscReal <a class="code" href="field_8h.html#a48d0086e7ff33076be493f9379c45069">Hexternal_hext</a>();
<a name="l00045"></a>00045 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401">Hext_ho</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHextsum,PetscReal *hext);
<a name="l00046"></a>00046 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a386ce6c3aee542bfbdfbc8bce99d51fe">Hext_ho_hstep</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00047"></a>00047 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63">Hext_ho_hsweep</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00048"></a>00048 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05">Hext_kq</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHextsum,PetscReal *hext);
<a name="l00049"></a>00049 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc">Hext_cu</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHextsum,PetscReal *hext);
<a name="l00050"></a>00050 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555">Hext_py</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Vec VHextsum,PetscReal *hext);
<a name="l00051"></a>00051 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a23837f4926a3a0dc211d349e16a9df87">Htot_EminiEnergy</a>(<a class="code" href="structGridData.html">GridData</a> *gdata, PetscReal *f);
<a name="l00052"></a>00052 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13">Htot_Energy</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00053"></a>00053 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a270a74fb6c65379e026cfb5c4de11443">Htot_Gradient</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00054"></a>00054 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#ab9d30ce64708afeca163280386deb654">Htot</a>(<a class="code" href="structGridData.html">GridData</a> *gdata);
<a name="l00055"></a>00055 
<a name="l00056"></a>00056 <span class="keywordtype">int</span> <a class="code" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446">BMatrix</a>(<a class="code" href="structGridData.html">GridData</a> *gdata,Mat *Bmatrix);
<a name="l00057"></a>00057 <span class="keywordtype">int</span> <a class="code" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8">Bele</a>(PetscReal* bvert,PetscReal* facv1,PetscReal* facv2,PetscReal* facv3,PetscReal* matele);
<a name="l00058"></a>00058 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2">MpHext</a>(Vec M,PetscReal *vres);
<a name="l00059"></a>00059 
<a name="l00060"></a>00060 <span class="keywordtype">int</span> <a class="code" href="field_8h.html#a567e7efd2748f5b33963b581ed12626c">read_hstep_file</a>(FILE *fd,PetscReal **indata,<span class="keyword">const</span> <span class="keywordtype">int</span> col);
<a name="l00061"></a>00061 PetscScalar <a class="code" href="field_8h.html#aeebb8d32f6d9e3ab71e50c03e1372717">get_scalf_hstep</a>(PetscReal hstep_fdata[],PetscReal hstep);
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 <span class="preprocessor">#endif</span>
</pre></div></div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

